# SNESSetUpdate

Sets the general-purpose update function called at the beginning of every step of the iteration.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetUpdate(SNES snes, PetscErrorCode (*func)(SNES, PetscInt))

Collective on SNES

### Input Parameters

snes -The nonlinear solver context
func -The function

### Calling sequence of func

func (TS ts, int step); -
step -The current step of the iteration

### Keywords

SNES, update

### See Also

SNESDefaultUpdate(), SNESSetRhsBC(), SNESSetSolutionBC()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages